package com.bonus.common.houqin.constant;

import java.util.*;

public enum DeviceClassEnum {
   PERSON_MONITOR(1, "人员监控类", Arrays.asList(3)),
   MACHINE_MONITOR(2, "机械监控类", Arrays.asList(7, 16, 17, 19, 21, 31, 32)),
   MATERIAL_MONITOR(3, "材料监控类", Arrays.asList(20)),
   METHOD_MONITOR(4, "方法监控类", Arrays.asList(103, 104)),
   ENVIRONMENT_MONITOR(5, "环境监控类", Arrays.asList(2, 13, 14, 15, 22)),
   CAMERA_MONITOR(6, "视频监控类", Arrays.asList(1, 9));

   private final Integer key;
   private final String name;
   private final List<Integer> deviceTypes;

   private DeviceClassEnum(Integer key, String name, List deviceTypes) {
      this.key = key;
      this.name = name;
      this.deviceTypes = deviceTypes;
   }

   public Integer getKey() {
      return key;
   }

   public String getName() {
      return name;
   }

   public List<Integer> getDeviceTypes() {
      return deviceTypes;
   }
}
